/*
	CSS Syntax

	selector {
		property:  value;
		property:  value;
	}

	Declarations end in semi-colon. CSS Declaration allows to manipulate the property of the selected element/elements

	A group of declaration for selected elements are called a rule-set and is wrapped in {}

	selectors selects elements to be designe or styled by a rule set.

	* - universal selector - it allows us to select and apply CSS stylings on all elements.

	font-family - allows us to modify or determine the font of the selected elements. It's values are the available default CSS fonts and a fallback font.

	fallback font is used as a backup if the indicated font is not available.


*/

* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
	ID selector

	To be able to select an element with a unique id, first add the # and the name of the id.

	#idName {
		property:  value;
	}

	letter-spacing

*/
#zuitt-motto {
	letter-spacing: 5px;
}
/*
	Type selector
	
	Allows us to select elements of the same tag/type

	background-color allows us to modify the color of an elements background.

Syntax: ;

	tag/type {
		property:  value;
	}

*/
body {
	background-color: skyblue;
}

h1 {
	/*
		rem is a measurement in csss and it stands for root element.

		It is based on the font-size of the root element.

		The default font size is 16px

		However, due to our universal selector the font-size of all elements and including the root-element is 20px.

		2rem = 40px

		rem as a measurement is mostly used for font-size. However, it can also be used as measurement for other CSS properties.
	*/
	font-size: 2rem;
	/*text-align allows us to horizontally align the text in an element.*/
	text-align: center;
}

/*
	Class selector

	Allows us to select and style elements with the same class

	.className {
		property:  value;
	}

*/
.offering-item {
	text-transform: uppercase;
}

/*
	Attribute Selector

	Allows us to select selements with the same tag and attribute

	tag[attribute]

*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*So our input elements do not overflow from the line, we will make its size 90% of its parent element*/
	width: 90%;
}
/*selector priority

	id - height
	class
	attribute
	type
	universal - lowest

	The more specific the selector is, the more priority it is given.

	Selector Combinator

	Selctor Combinators are used to make selectors more specific and to be able to select elements more specifically.

	Adjacent Sibling Combinator

	Allows us to select the adjacent sibling of the first selector. An adjacent sibling is the element nearest to the first sibling.

	firstSibling + adjacentSibling {
		property: value;
	}

	heaight and wisth properties will allow us to resize the height and width of an element based on a measurement

	border-radius allows us to round the corners of an element.

*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*
	Descendant Combinator
	It will allow us to select the particular elements that are a descendant of the first element/selector

	element descendantElement {
	
	}

	We can also add specific colors to properties that can change colors using a hex decimal. Hex decimals consist of a pound sign (#) and alphanumeric characters and this may pertain to a particular color.
*/
#bootcamp-learning-list li {
	color: #075966;
}
/*
	General Sibling Combinator

	Allows us to select the particular siblings that come after the first selector.

	element ~ generalSiblingElements {
	
	}

*/

h2 ~ a {
	text-decoration: none;
}
/*
	Child Selector

	Child selector will allow us to select a particular child of the preceding selectors/selectot

	parentSelector > childSelector {
	
		property: value;

	}
*/
section > form > label {
	color: rgb(0,0,128);
}

/*scroll-behavior changes the behavior of scrollling when using a link to navigate within a page.*/
html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}
/*
	selector pseudo class

	change the style of an element when hovered over.
*/
a:hover {
	background-color: #b4d6de;
}

nav > div {
	/*display:  inline-block will allow us to change the display of an element. This div is now displayed as inline and therefore is beside of its sibling instead of on the next line.*/
	display: inline-block;
	/*float allows us to change the horizontal alignment of an element and float our element to the leftmost or rightmost side of its parent container.*/
	float: right;
}

form {
	text-align: center;
	background-color: white;
	/*Add border with a shorthand way

		border:  thickness style color;

	*/
	border: 2px solid black;
	height: 185px;
	/*vw is a css measurement which means viewport width. It allows us to add measurement based on the percentage of the viewport's width. Viewport is the screen we are looking our page at. Viewport measurements are based on the screen you are looking at so, at mobile devices it changes too.*/
	width: 25vw;
	/*
		position property will allow us to determine the position or positioning of an element based on a criteria.

		relative value to position property allows us to move our element relative to its original position in our document.

		left property allows us to add measurement on the left side of our element. The value with % is based on the width of our parent element. We moved our form 37.25% from the left of our parent element.
	*/
	position: relative;
	left: 37.25%;
}

section {
	/*vh is the viewport height. vw is a measurement based on the height of our viewport or the visible screen we can see the page from.*/
	height: 100vh;
	/*text align will allow us to adjust the horizontal alignment of text and inline elements.*/
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*list style type property will allow us to change the list style of our li*/
	list-style-type: none;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}